def omez_hodnoty(maximum):        # funkce přebírající parametry dekorátoru
    def _omez_hodnoty(funkce):    # funkce přebírající dekorovanou funkci
        def __omez_hodnoty(xs):   # konečná návratová funkce
            ret = funkce( [x for x in xs if x <= maximum] )
            return ret
        return __omez_hodnoty
    return _omez_hodnoty

@omez_hodnoty(9)
def zpracuj_hodnoty(xs):
    return [x**2 for x in xs]

test = zpracuj_hodnoty( [1, 3, 11, 4, 7, 14, 5] )
print(test)     # [1, 9, 16, 49, 25]
